defmodule Wild.Repo.Migrations.CreateBookReads do
  use Ecto.Migration

  def change do
    create table(:book_reads) do
      add :rating, :integer
      add :thoughts, :string
      add :read_start, :utc_datetime
      add :read_finish, :utc_datetime
      add :progress, :integer
      add :user_id, references(:users, on_delete: :nothing)
      add :book_id, references(:books, on_delete: :nothing)

      timestamps(type: :utc_datetime)
    end

    create index(:book_reads, [:user_id])
    create index(:book_reads, [:book_id])
  end
end
